petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexSNESComputeJacobianFEM

Form the local portion of the Jacobian matrix J at the local solution X using pointwise functions specified by the user.

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSNESComputeJacobianFEM(DM dm, Vec X, Mat Jac, Mat JacP,void *user)

### Input Parameters

| dm | - The mesh Many br
| X | - Local input vector Many br
| user | - The user context Many br

### Output Parameter

Jac -Jacobian matrix Many br

### Note

The first member of the user context must be an FEMContext. Many br

We form the residual one batch of elements at a time. This allows us to offload work onto an accelerator, Many brlike a GPU, or vectorize on a multicore machine. Many br

Many br

### See Also

FormFunctionLocal()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages